Post by Daniel » Sun Jan 20, 2013 11:13 pm

With the release of OpenCart 1.5.5 we need a new BUG topic.
You can download OC 1.5.5 from our Download Page.
If you find "actual" issues with OC 1.5.5 please use the github code issue tracker.
This topic is for all versions of (1.5.5, 1.5.5.1, etc)

https://github.com/opencart/opencart/is ... state=open
If you are unsure, please post in this thread first and have others confirm.

If your bug report was deleted, it is because it was either:
- Already Confirmed and added to the list below
- Rejected as a non-issue
- A Duplicate of another bug already mentioned.

Confirmed BUG when upgrading or Clean install:

Error: RENAME TABLE `oc_customer_ip_blacklist` TO `oc_customer_ban_ip` exists -> FIX

Error: Could not load language Use the the 1.5.4.1 /system/library/language.php

NOT A BUG: $this->load->language is now $this->language->load
3rd party extensions, add-ons etc. maybe require you change this to get them working with 1.5.5

I try to keep this thread clean so that people don't have to read 15 pages of chatter. Don't take it personal.
ALWAYS CHECK THIS POST FOR UPDATES AS EXISTING BUGS AND FIXES WILL BE POSTED HERE
Last edited by Daniel on Mon Jul 29, 2013 4:41 am, edited 6 times in total.
Reason: Added the language class change

OpenCart®
Project Owner & Developer.
OpenCart commercial support now available!


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by ChetanCx » Mon Jan 21, 2013 12:26 am

i don't know if its bug or not, but anchor still doesn't work in ck-editor (while adding a new info page) for example

Code: Select all

<p id="some_id"> some text</p>
<a href="#some_id">click to go</a>
when you click on text it takes you to yoursite/#some_id

For Commercial Support / Extensions chetancx@yahoo.co.in Skype chetan_cx
Donate if i saved your time

Image


User avatar
Active Member

Posts

Joined
Sat Dec 08, 2012 8:12 pm

Post by Mpatrick85 » Mon Jan 21, 2013 3:47 am

When I tried to upgrade from V.1.5.4.1 I was given this error.

( ! ) Notice: Error: Table 'customer_ban_ip' already exists<br />Error No: 1050<br />RENAME TABLE `customer_ip_blacklist` TO `customer_ban_ip` in C:\REMOVED\mysql.php on line 50

Attachments

Error Image.png

Error Image.png (33.81 KiB) Viewed 58334 times


Michael Patrick President, Concert Sound Systems
mike@concertsound.com | http://www.concertsound.com


User avatar
Newbie

Posts

Joined
Mon Jan 21, 2013 3:34 am

Post by Malaiac » Mon Jan 21, 2013 5:49 am

same error about the customer ban ip table here

New member

Posts

Joined
Thu Jan 07, 2010 12:06 am

Post by Daniel » Mon Jan 21, 2013 9:48 pm

Gerda2013 wrote:i got this error and i upgrade from 1.5.4.1 which I downloaded from your website

Notice: Error: Table 'democustomer_ban_ip' already exists
Error No: 1050
RENAME TABLE `democustomer_ip_blacklist` TO `democustomer_ban_ip` in /home/kjoetkra/public_html/frisiandigitaldesign.nl/opencart/system/database/mysql.php on line 50

it is a bit different then the above mentioned notice error

Please help
igonre this. this is the last step for the upgrade. i have already added a fix to github:

OpenCart®
Project Owner & Developer.
OpenCart commercial support now available!


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by karlpers » Tue Jan 22, 2013 1:12 am

I dont know if this is a bug or not, but:

I install 1.5.5 on my local machine (didnt use the database prefix)
I have added product filters, and applied them to my products
I have enabled the filter module under my categories

But nothing shows up. Have I missed something? How is the filter module supposed to work?

Active Member

Posts

Joined
Tue Jun 09, 2009 10:35 pm

Post by dedalx » Tue Jan 22, 2013 3:48 am

After upgrade from 1.5.4.1 to 1.5.5 get error:

Warning: strpos() [function.strpos]: Empty delimiter in ******/test/catalog/controller/common/header.php on line 60

And I see in forums that other people have this error too. On default or custom theme no matter.

Newbie

Posts

Joined
Sat Oct 13, 2012 7:02 pm

Post by Pamella » Tue Jan 22, 2013 5:08 pm

Something wrong with tag(s), is not ?

My 'Example' tag link to index.php?route=product/search&tag=Example but... "There is no product that matches the search criteria." !

Any idea about how to fix it ;-) like with v1.5.4.1 may be ?

OC v1.5.5.1 EN - vQmod v2.3.2 (theme by default at this time) running on PHP v5.4 MySQL v5.5 Linux / Apache 2.4


New member

Posts

Joined
Tue Oct 25, 2011 4:22 am

Post by mmmsabeel » Tue Jan 22, 2013 5:10 pm

i have upgraded to 1.5.5 and now i get this error on the front page. any solution ?

Warning: strpos() [function.strpos]: Empty delimiter in /home1/abayash1/public_html/catalog/controller/common/header.php on line 60

Best Regards

Newbie

Posts

Joined
Wed Sep 01, 2010 1:09 pm

Post by Daniel » Tue Jan 22, 2013 8:39 pm

I have just made a branch for 1.5.5.1 so fixes can be added and they will automatically get added to the download on opencart.com.

this means i will also be able to just make a new branch from the master whenever i need to create a new download.

those of you having the blacklist issue can just redownload form opencart.com the latest version. i have added a fix via git hub.

OpenCart®
Project Owner & Developer.
OpenCart commercial support now available!


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by i2Paq » Wed Jan 23, 2013 1:03 am

This is the file: \upload\install\model\upgrade.php

This should be changed PRIOR to performing the upgrade.
Daniel wrote:As for the ban_ip problem

replace lines

345 to 349 with this

Code: Select all

		// Customer blacklist table rename to ban ip
		if (isset($table_old_data[DB_PREFIX . 'customer_ip_blacklist']) && !isset($table_old_data[DB_PREFIX . 'customer_ip_ban'])) {
			$this->db->query("RENAME TABLE `" . DB_PREFIX . "customer_ip_blacklist` TO `" . DB_PREFIX . "customer_ban_ip`");
			$this->db->query("ALTER TABLE `" . DB_PREFIX . "customer_ban_ip` CHANGE `customer_ip_blacklist_id`  `customer_ban_ip_id` INT(11) NOT NULL AUTO_INCREMENT");
		}

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

UPGRADE to 2.x: Contemplate before thou begins!

Our FREE search: Find your answer FAST!.

BUGs?: Known BUGS for All OC Versions.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands

Post by i2Paq » Wed Jan 23, 2013 1:34 am

Clean 1.5.5.1 install, added Dutch:

Notice: Error: Could not load language dutch! in /var/www/vhosts/hempnation.nl/httpdocs/system/library/language.php on line 37

Edit: Language Pack works on 1.5.4.1

Edit2: used the 1.5.4.1 /system/library/language.php and it works!

Now what? :-\

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

UPGRADE to 2.x: Contemplate before thou begins!

Our FREE search: Find your answer FAST!.

BUGs?: Known BUGS for All OC Versions.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands

Post by OC2PS » Wed Jan 23, 2013 1:40 am

Daniel wrote:you don;t actually have to upgrade because a new version comes out.
Yup, you're right. Been spoiled by WordPress...they've made upgrades (both core and plugin) so simple and bug-free that it becomes a habit to apply all upgrades.

One also imagines that new upgrades might include patches for little things, especially security. Yes, one should check the changelog.

Further exacerbated by the fact that I stuck with 1.2.9 for so long that upgrading to 1.5.4.1 was a b*tch so a bit scared of not upgrading "in time" :)

OC 2.3.0.2, vQmod 2.6.2, Journal2 theme

Image
My FREE extensions: Rich snippets, FB Likebox, Child theme, Add $x for free shipping, You save $x, Yes to newsletter, Product photos in email, Copy order confirmation email, Top rated items, Most reviewed items, Cant buy Out of Stock items, No tabs, Category menu w/classes, Categories w/thumbnails

OC2PS
Csillámtetoválás,
Csillámtetoválás,
Henna


User avatar
Active Member

Posts

Joined
Wed Jul 22, 2009 4:15 am
Location - Hungary

Post by Daniel » Wed Jan 23, 2013 2:01 am

as for wordpress updates. those guys barely change any code.

OpenCart®
Project Owner & Developer.
OpenCart commercial support now available!


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by jubbbird » Wed Jan 23, 2013 2:46 am

I have a different problem, hopefully something easy.

Upon attempting an upgrade from 1.5.4.1 to 1.5.5 I found the upgrade script wasn't finishing. No errors, and at first I got "Internal Server Error", but since fiddling a little with a few things (which I don't think actually made any difference) my latest attempt resulted in a long wait followed by a plain white screen.

I've checked and quite a few tables have been added to the database. The frontend shows but with one more error than expected, and admin works just fine, showing the version as 1.5.5 at the bottom.

So my first problem is that I'm unsure if I should trust the upgrade at all, given that it didn't finish like all the previous ones did.

The next problem, which might well be a side-effect of an incomplete upgrade, is that the extra error on the frontend is:

"Warning: strpos() [function.strpos]: Empty delimiter in /....../catalog/controller/common/header.php on line 60"

...which seems to be the result of the empty "Robots" field in the system settings. Aside from hiding warnings, I can't understand why that empty field would ever NOT be a problem.

Is my robots field empty because the upgrade didn't finish?
Should I go back to 1.5.4.1 until the upgrade of 1.5.5 can be shown to complete properly?

Newbie

Posts

Joined
Mon Mar 28, 2011 12:30 am

Post by Malaiac » Wed Jan 23, 2013 6:33 am

Daniel wrote:as for wordpress updates. those guys barely change any code.
À few lines at a time. But on a few millions installs :)

New member

Posts

Joined
Thu Jan 07, 2010 12:06 am

Post by Daniel » Wed Jan 23, 2013 12:10 pm

jubbbird wrote:I have a different problem, hopefully something easy.

Upon attempting an upgrade from 1.5.4.1 to 1.5.5 I found the upgrade script wasn't finishing. No errors, and at first I got "Internal Server Error", but since fiddling a little with a few things (which I don't think actually made any difference) my latest attempt resulted in a long wait followed by a plain white screen.

I've checked and quite a few tables have been added to the database. The frontend shows but with one more error than expected, and admin works just fine, showing the version as 1.5.5 at the bottom.

So my first problem is that I'm unsure if I should trust the upgrade at all, given that it didn't finish like all the previous ones did.

The next problem, which might well be a side-effect of an incomplete upgrade, is that the extra error on the frontend is:

"Warning: strpos() [function.strpos]: Empty delimiter in /....../catalog/controller/common/header.php on line 60"

...which seems to be the result of the empty "Robots" field in the system settings. Aside from hiding warnings, I can't understand why that empty field would ever NOT be a problem.

Is my robots field empty because the upgrade didn't finish?
Should I go back to 1.5.4.1 until the upgrade of 1.5.5 can be shown to complete properly?

turn error reporting on! that is why you are getting a white screen! because you host has not got error reporting turned on! not opencart!

as for robots filed. add a line of what ever to it then!

OpenCart®
Project Owner & Developer.
OpenCart commercial support now available!


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by Daniel » Wed Jan 23, 2013 12:13 pm

JNeuhoff wrote:
i2Paq wrote:
Daniel wrote:a clean install with added language does work!!!

some extensions need updating!
No.

I installed 1.5.5.1 and added the Dutch language.

All I got was: Notice: Error: Could not load language dutch! in /var/www/vhosts/hempnation.nl/httpdocs/system/library/language.php on line 37

Using the 1.5.4.1 /system/library/language.php made it work!

Try for yourself: http://www.opencart.com/index.php?route ... _id=344197

I compared the 1.5.5.1 /system/library/language.php with the 1.5.4.1 file and the 1.5.5.1 file on line 25 it is missing:

return $this->data;
Are we now dealing with different flavors of OpenCart 1.5.5.1 here? I just downloaded and installed 1.5.5.1, and it has the return $this->data; statements in the system/library/language.php file.

yes i'm adding commits to version 1.5.5.1 so we don;t keep gettign the same complaints over and over again with new people downloading.

https://github.com/opencart/opencart/commits/v1.5.5.1

i'm not adding new features just small fixes.

OpenCart®
Project Owner & Developer.
OpenCart commercial support now available!


User avatar
Administrator

Posts

Joined
Fri Nov 03, 2006 6:57 pm

Post by jonghwa » Wed Jan 23, 2013 5:07 pm

Hi,

google_checkout issue

I'm now converting 1.5.4.1 my theme to work on 1.5.5.1.

1.5.4.1 catalog/controller/checkout/cart.php

Code: Select all

                        $this->children = array(
                                'common/column_left',
                                'common/column_right',
                                'common/content_bottom',
                                'common/content_top',
                                'common/footer',
                                'common/header'
                        );
1.5.5.1 catalog/controller/checkout/cart.php

Code: Select all

                         $this->children = array(
                                'payment/google_checkout',
                                'common/column_left',
                                'common/column_right',
                                'common/content_bottom',
                                'common/content_top',
                                'common/footer',
                                'common/header'
                        );
As you can see, 'payment/google_checkout', child has been inserted.

It causes an error when clicking "add to cart".

2013-01-23 17:45:20 - PHP Notice: Undefined variable: cart in /upload/catalog/view/theme/test/template/payment/google_checkout.tpl on line 2
2013-01-23 17:45:20 - PHP Notice: Undefined variable: signature in /upload/catalog/view/theme/test/template/payment/google_checkout.tpl on line 3

The released theme seems to work fine.

Of course, it is quite easy to delete the line "payment/google_checkout" using vQmod, but I don't believe that it's the best.

I'd like to pass the variable cart and signature to the template file.

Thank you.

핀코인 (http://pincoin.co.kr)

extensions by pincoin


User avatar
New member

Posts

Joined
Thu Oct 25, 2012 12:29 pm
Location - Seoul

Post by Kwitschibo » Wed Jan 23, 2013 5:11 pm

Daniel wrote:you have no idea how hard it is to get a open source script to run across multiple web servers and make it upgrade perfectly for everyone.
don't be mad. i develop dozend of extensions for our own shop (atm based on osc - soon based on opencart) to make it usable and i know how hard those work is. opencart.com is a fine project... some changes confuses me but else all you make a very good job. :-\

Newbie

Posts

Joined
Tue Nov 22, 2011 8:06 pm
Who is online

Users browsing this forum: No registered users and 16 guests